namespace PerpetuumSoft.Widgets.Licensing
{
    using System;
    using System.Globalization;

    [AttributeUsage(AttributeTargets.Assembly)]
    internal class AssemblyDateAttribute : Attribute
    {
        private DateTime date;

        public AssemblyDateAttribute(string date)
        {
            this.date = DateTime.Parse(date, CultureInfo.InvariantCulture);
        }

        public DateTime Date
        {
            get
            {
                return this.date;
            }
        }
    }
}
